Package tigase.xmpp

## Interface XMPPStopListenerIfc

- All Superinterfaces:
    `java.lang.Comparable<XMPPImplIfc>`, `XMPPImplIfc`
  All Known Implementing Classes:
    `LastActivityMarker`, `PresenceOffline`, `PresenceState`

      public interface XMPPStopListenerIfc
      extends XMPPImplIfc

  Describe interface XMPPStopListener here.
  Created: Sat Oct 14 16:14:18 2006
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `stopped​(XMPPResourceConnection session, java.util.Queue<Packet> results, java.util.Map<java.lang.String,​java.lang.Object> settings)` | Performs additional processing upon closing user session (user either disconnects or logs-out).

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, getComponentInfo, getStatistics, id, init, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

- - ### Method Detail

    - #### stopped

          void stopped​(XMPPResourceConnection session,
                       java.util.Queue<Packet> results,
                       java.util.Map<java.lang.String,​java.lang.Object> settings)

      Performs additional processing upon closing user session (user either disconnects or logs-out).
      Parameters:
        `session` - user session which keeps all the user session data and also gives an access to the user's repository data. It allows for storing information in a permanent storage or in memory only during the live of the online session. This parameter can be null if there is no online user session at the time of the packet processing.
        `results` - this a collection with packets which have been generated as input packet processing results. Regardless a response to a user request is sent or the packet is forwarded to it's destination it is always required that a copy of the input packet is created and stored in the results queue.
        `settings` - this map keeps plugin specific settings loaded from the Tigase server configuration. In most cases it is unused, however if the plugin needs to access an external database that this is a way to pass database connection string to the plugin.